> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kernelmedia.tv/llms.txt
> Use this file to discover all available pages before exploring further.

# Continue Watching & Subtitles

> Watch progress tracking and subtitle tracks

## Get your Continue Watching list

<ParamField query="type" type="string">`vod` or `live_tv`</ParamField>

<ParamField query="limit" default="20" type="integer" />

<ParamField query="offset" default="0" type="integer" />

```bash theme={null}
curl "http://<server>:9014/api/continue-watching?type=vod&limit=10" \
  -H "Authorization: Bearer <jwt>"
```

```json theme={null}
{
  "items": [{"videoId": "501", "libraryId": 1, "contentType": "movie", "title": "Example Movie"}],
  "total": 4
}
```

`GET /api/continue-watching`

***

## Update progress

* `DELETE /api/continue-watching/{videoId}`: remove from the list
* `PATCH /api/continue-watching/{videoId}/watched`: mark watched
* `PATCH /api/continue-watching/{videoId}/unwatched`: mark unwatched

***

## Subtitle tracks

```bash theme={null}
curl http://<server>:9014/api/items/501/subtitle-tracks -H "Authorization: Bearer <jwt>"
```

```json theme={null}
{"tracks": [{"label": "English", "language": "en", "url": "/api/items/501/subtitle/embedded/0"}]}
```

Covers both embedded tracks (extracted as WebVTT) and sidecar subtitle files.

`GET /api/items/{id}/subtitle-tracks`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.